From c8f9f1a52d1288b3998424c818eee48ca3cb64b1 Mon Sep 17 00:00:00 2001
From: Jean-Claude Beaudoin <jean.claude.beaudoin@gmail.com>
Date: Sun, 2 Dec 2012 01:10:10 -0500
Subject: [PATCH] Update ASDF 2.26 to work on MKCL.

---
 asdf.lisp |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/asdf.lisp b/asdf.lisp
index 3e162d9..581f151 100644
--- a/asdf.lisp
+++ b/asdf.lisp
@@ -411,7 +411,7 @@ Defaults to T.")
 Valid values are :error, :warn, and :ignore.")
 
 (defvar *compile-file-failure-behaviour*
-  (or #+sbcl :error #+clisp :ignore :warn)
+  (or #+(or mkcl sbcl) :error #+clisp :ignore :warn)
   "How should ASDF react if it encounters a failure (per the ANSI spec of COMPILE-FILE)
 when compiling a file?  Valid values are :error, :warn, and :ignore.
 Note that ASDF ALWAYS raises an error if it fails to create an output file when compiling.")
@@ -4509,7 +4509,9 @@ with a different configuration, so the configuration would be re-read then."
   (defvar *loading-asdf-bundle* nil)
   (unless *loading-asdf-bundle*
     (let ((*central-registry*
-           (cons (translate-logical-pathname #P"CONTRIB:asdf-bundle;") *central-registry*))
+           (cons (make-pathname :directory '(:relative "asdf-bundle")
+				:defaults (translate-logical-pathname #P"CONTRIB:"))
+		 *central-registry*))
 	  (*loading-asdf-bundle* t))
       (clear-system :asdf-bundle) ;; we hope to force a reload.
       (multiple-value-bind (result bundling-error)
-- 
1.7.1

